import { fromJS } from 'immutable'
import { mapStateToProps } from '../index'

describe('BankSelection Container', () => {
  const fakeState = fromJS(
    {
      banks: { 1: { id: '1' } },
      ui: {
        SELECT_BANKS_OPTIONS: ['1']
      }
    }
  )
  it('gets the banks', () => {
    const newProps = mapStateToProps(fakeState, {})
    expect(newProps.banks.size).to.eq(1)
    expect(newProps.banks.first().id).to.eq('1')
  })
})
